﻿using MySql.Data.MySqlClient;

namespace MySqlBugs
{
    /// <summary>
    /// This console application demonstrates a bug in MySQL Connector/NET 6.3.4.
    /// </summary>
    public static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        public static void Main()
        {
            // Build a connection string.
            var csb = new MySqlConnectionStringBuilder()
                {
                    Server = "xxx",
                    UserID = "yyy",
                    Password = "zzz",
                    Database = "MySqlBugs",
                    Logging = true // The bug only occurs if logging is enabled.
                };

            // Connect to the server and update the dataset.)
            using (var conn = new MySqlConnection(csb.ToString()))
            {
                conn.Open();
                var CreateCmd = new MySqlCommand(Properties.Resources.Create, conn);
                CreateCmd.ExecuteNonQuery();

                // Note that the token `Paragraph2` crosses the 300 byte threshold.
                var UpdateCmd = new MySqlCommand(Properties.Resources.Update, conn);
                UpdateCmd.ExecuteNonQuery();
                conn.Close();
            }
        }
    }
}